Skip to main content
PATCH
/
v1
/
users
/
{user_id}
curl
curl -X PATCH "https://api.services.payward.com/v1/users/AA45N8G4MLDYWAR7" \
  -H "API-Key: $PWS_API_KEY" \
  -H "API-Nonce: $PWS_API_NONCE" \
  -H "API-Sign: $PWS_API_SIGN" \
  -H "Content-Type: application/json" \
  -d '{
    "full_name": {
      "first_name": "Alex",
      "last_name": "Morgan"
    },
    "birth": {
      "date": "1990-04-15",
      "city": "San Francisco",
      "country": "US"
    }
  }'
{
  "data": "success"
}

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

Path Parameters

user_id
string
required

ID of the user the request applies to. For partners operating in the B2B2C model, this is the Sub-User the request is acting on behalf of. Canonical identifier for a user in the Payward public API.

Required string length: 14 - 42

Body

application/json
full_name
object

User's full name

residence
object

User's residential address

phone
string | null

Phone number in E.164 format

Pattern: ^\+?[1-9]\d{1,14}$
nationalities
enum<string>[] | null

User's nationalities

An ISO 3166-1 alpha-2 country code

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
YE,
YT,
ZA,
ZM,
ZW,
AC,
AN,
AP,
CP,
DG,
EA,
EU,
IC,
JX,
TA,
QO,
XK,
0C
tax_ids
object[] | null

User's tax ID

occupation
enum<string> | null

User's occupation

Available options:
agriculture,
business_management,
computers_and_it,
construction,
education,
finance,
government,
healthcare,
hospitality,
manufacturing,
marketing,
media,
other,
science,
self_employed,
student,
transportation,
unemployed,
employed
employer_name
string | null

Name of user's employer

client_identifier
object

Identifier assigned by the partner platform

language
string | null

The user's preferred language, as an ISO 639-1 language code. If not provided, the user's language will be set to the default language for their country.

birth
object

User's place and date of birth.

Response

Response

data
enum<string>
required
Available options:
success